WABA Profile Info
In the 360dialog Client Hub
The client can update their WABA profile information in their 360dialog Client Hub.
To access the options, they need to click on Show details in the specific account they wish to edit and click in the Profile tab.
In the API
You can use the following endpoints to update WhatsApp Account about, photo and business profile information.
The [base-path] may differ depending on your hosted zone and type.
Every request to WhatsApp API needs to be authorized using API Key authentication. Adding theD360-API-KEY header with your API Key as a value will give you permission.
If the WABA is registered in On-premise API
About section
Retrieve About section for a specific channel
GET https://[base-path]/v1/settings/profile/about
Use this edge to retrieve the profile About section.
Request example
GET /v1/settings/profile/about
A successful response contains the profile object with the text parameter containing your profile's About content.
Set About section for a specific channel
PATCH https://[base-path]/v1/settings/profile/about
Use this edge to update the profile's About section.
Request example
PATCH /v1/settings/profile/about
{
"text": "your-profile-about-text"
}
Request Body
text*
string
Text to display in your profile's About section. The max length for the string is 139 characters.
Profile Photo
Retrieve Photo for a specific channel in base64-encoded binary format
GET https://[base-path]/v1/settings/profile/photo
Use this edge to retrieve the profile Photo in base64-encoded binary format
Request example
GET /v1/settings/profile/photo
Retrieve Photo URL for a specific channel
GET https://[base-path]/v1/settings/profile/photo
Use this edge to retrieve the profile Photo URL
Request example
GET /v1/settings/profile/photo?format=link
Update Photo for a specific channel using base64-encoded binary format image
POST https://[base-path]/v1/settings/profile/photo
Use this edge to update the profile Photo with a base64-encoded binary format image
Request example
POST /v1/settings/profile/photo
Content-Type: image/jpeg //or other appropriate type
your-binary-image-content
Request Body
*
object
Your binary image content
Example in Postman
Business Profile information
Retrieve Business Profile information
GET https://[base-path]/v1/settings/business/profile
Use this edge to retrieve the information available in the Business Profile: business address, business description, email for business contact, business industry, and business website.
Request example
GET /v1/settings/business/profile
Request Body
vertical
string
Industry of the business. Must be one of these accepted values: Automotive / Beauty, Spa and Salon / Clothing and Apparel / Education / Entertainment /Event Planning and Service / Finance and Banking / Food and Grocery / Public Service / Hotel and Lodging / Medical and Health / Non-profit / Professional Services / Shopping and Retail / Travel and Transportation / Restaurant / Other
The business vertical cannot be set back to an empty value after it is created.
websites
array of strings
URLs (including http:// or https://) associated with the business (e.g., website, Facebook Page, Instagram). Maximum of 2 websites with a maximum of 256 characters each.
string
Email address (in valid email format) to contact the business. Maximum of 128 characters.
description
string
Description of the business. Maximum of 256 characters.
address
string
Address of the business. Maximum of 256 characters.
A successful response includes the profile object containing the business profile data.
Update Business Profile information
POST https://[base-path]/v1/settings/business/profile
Use the endpoint to configure the following business profile settings: business address, business description, email for business contact, business industry, and business website.
If you only need to update a couple of fields with new information, you can make a request which changes only the necessary fields.
Request example
POST /v1/settings/business/profile
{
"address": "your-business-address",
"description": "your-business-description",
"email": "your-business-email",
"vertical": "your-business-industry",
"websites": [ "your-website-1", "your-website-2" ]
}
Request Body
vertical
string
Industry of the business. Must be one of these accepted values: Automotive / Beauty, Spa and Salon / Clothing and Apparel / Education / Entertainment /Event Planning and Service / Finance and Banking / Food and Grocery / Public Service / Hotel and Lodging / Medical and Health / Non-profit / Professional Services / Shopping and Retail / Travel and Transportation / Restaurant / Other
The business vertical cannot be set back to an empty value after it is created.
websites
array of strings
URLs (including http:// or https://) associated with the business (e.g., website, Facebook Page, Instagram). Maximum of 2 websites with a maximum of 256 characters each.
string
Email address (in valid email format) to contact the business. Maximum of 128 characters.
description
string
Description of the business. Maximum of 256 characters.
address
string
Address of the business. Maximum of 256 characters.
If the WABA is registered in Cloud API
See below the endpoints for retrieving and updating Business Profile information for Cloud API hosting. Please also refer to Meta's Official Documentation.
Profile Photo and Business Profile information
Retrieve Business Profile information
GET https://[base-path]/whatsapp_business_profile?fields=address,description,email,profile_picture_url,websites,vertical
Use this edge to retrieve the information available in the Business Profile: business address, business description, email for business contact, business industry, and business website.
Request example
GET /whatsapp_business_profile?fields=address,description,email,profile_picture_url,websites,vertical'
Request Body
address
string
Adress of the business. Maximum of 256 characters.
description
string
Description of business. Maximum of 512 characters.
vertical
string
Industry of the business. Must be one of these accepted values: UNDEFINED / OTHER / AUTO / BEAUTY / APPAREL / EDU / ENTERTAIN / EVENT_PLAN / FINANCE / GROCERY / GOVT / HOTEL / HEALTH / NONPROFIT / PROF_SERVICES / RETAIL / TRAVEL / RESTAURANT / NOT_A_BIZ
The business vertical cannot be set back to an empty value after it is create
string
Email address (in valid email format) to contact the business. Maximum of 128 characters.
websites
array of strings
URLs (including http:// or https://) associated with the business (e.g., website, Facebook Page, Instagram). Maximum of 2 websites with a maximum of 256 characters each.
A successful response includes the profile object containing the business profile data.
Update Business Profile information
POST https://[base-path]/whatsapp_business_profile
Use the endpoint to configure the following business profile settings: business address, business description, email for business contact, business industry, and business website.
If you only need to update a couple of fields with new information, you can make a request which changes only the necessary fields. You can use the profile_picture_handle parameter to update the profile photo.
HANDLE_OF_PROFILE_PICTURE is url obtained from GET /media/MEDIA_ID or by the Resumable Upload API.
Request example
curl -X POST
'https://waba-v2.360dialog.io/whatsapp_business_profile'
-H 'D360-API-KEY: YOUR_API_KEY'
-d '{ "messaging_product": "whatsapp", "address": "ADDRESS", "description": "DESCRIPTION", "vertical": "INDUSTRY", "email": "EMAIL", "websites": [ "https://WEBSITE-1", "https://WEBSITE-2" ], "profile_picture_handle": "HANDLE_OF_PROFILE_PICTURE" }'
Request Body
address
string
Address of the business. Maximum of 256 characters.
description
string
Description of the business. Maximum of 512 characters.
string
Email address (in valid email format) to contact the business. Maximum of 128 characters.
vertical
string
Industry of the business. Must be one of these accepted values: UNDEFINED / OTHER / AUTO / BEAUTY / APPAREL / EDU / ENTERTAIN / EVENT_PLAN / FINANCE / GROCERY / GOVT / HOTEL / HEALTH / NONPROFIT / PROF_SERVICES / RETAIL / TRAVEL / RESTAURANT / NOT_A_BIZ
The business vertical cannot be set back to an empty value after it is create
websites
array of strings
URLs (including http:// or https://) associated with the business (e.g., website, Facebook Page, Instagram). Maximum of 2 websites with a maximum of 256 characters each.
Resumable Upload API for Profile Pictures
The Resumable Upload API allows you to upload profile pictures and essentially large files to the Cloud API. Once uploaded, you can use a file's handle fetched in step 2 to update your profile_picture_handle.
Please note that to access and utilize the Resumable Upload API, it is mandatory to include the 360dialog-API-key within the header.
Step 1: Create a Session
Send a POST request that describes your file to the endpoint /uploads.Upon success, an upload session ID will be returned that you can use in the next step to initiate the upload.
Request Syntax
Parameters
file_length int64
The file length in bytes
file_type RegexParam
The MIME type of the file to be uploaded
Response
{id}— Upload session ID.
Sample Request
Sample Response
Step 2: Initiate Upload
Initiate the upload session by sending a POST request and append your upload session {id} along with the authentication header. Upon success, a file handle {h},is returned that you can then use the {h} value to update your profile picture.
Request Syntax
Placeholder Values
{session_id}— Upload session ID returned in step 1.{file-name}— Name of the file to upload.
Response
Response property values:
{h}— The uploaded file's file handle
Sample Request
Sample Response
You can then use the Update Business Profile information endpoint to update the profile photo using the {h} value.
Last updated
Was this helpful?